<?php
$title = 'Статистика партнёрки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['pp'] == 1) {

    echo '<div class="title">Статистика партнёрки</div>';

    $strow = $connect->prepare("select * from `pp_link` where `id` = ?");

    $stmt_count_click = $connect->prepare("select count(*) from `pp_click` where `partner` = ?");
    $stmt_count_click->execute(array($user['id']));
    $count_click = $stmt_count_click->fetchColumn();

    $sum = 0;

    if ($count_click == 0) {
        echo '<div class="menu">Записей нет.</div>';
    } else {

        $page = new Pagination($count_click, 10);

        $data = $connect->prepare("select * from `pp_click` where `partner` = :partner order by `time` desc limit :start, 10");
        $data->bindValue(':partner', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $strow->execute(array($row['link']));
            $link = $strow->fetch();

            if ($link)
                $sum += $link['cena'];

            echo '<div class="menu">
            Время: '.daytime($row['time']).'<br/>
            IP: '.$row['ip'].'<br/>
            UA: '.$row['ua'].'<br/>
            REFERER: '.$row['referer'].'<br/>
            Ссылка: '.($link ? bblinks($link['url']) : 'DELETED').'<br/>
            Прибыль: <span class="wa-span-green">'.($link ? rub($link['cena']) : '???').'</span>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="menu">
    Сегодня переходов: '.$count_click.'<br/>
    </div>
    <div class="forlink"><a href="/pp" class="links">Мои площадки</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>