<?php
$title = 'Статистика площадки';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['pp'] == 1) {

    $stmt_count = $connect->prepare("select count(*) from `pp_link` where `id` = ? and `uid` = ?");
    $stmt_count->execute(array($id, $user['id']));

    if (!$stmt_count->fetchColumn()) {
        header('Location: /pp');
    } else {

        $stmt_cl->execute(array($id));
        $count_click = $stmt_cl->fetchColumn();

        echo '<div class="title">Статистика площадки (ID: '.$id.')</div>
        <div class="menu">Сегодня переходов: '.$count_click.'</div>';

        if ($count_click == 0) {
            echo '<div class="menu">Записей нет.</div>';
        } else {

            $page = new Pagination($count_click, 10);

            $data = $connect->prepare("select * from `pp_click` where `link` = :link order by `time` desc limit :start, 10");
            $data->bindValue(':link', $id, PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $row) {

                echo '<div class="menu">
                Время: '.daytime($row['time']).'<br/>
                IP: '.$row['ip'].'<br/>
                UA: '.$row['ua'].'<br/>
                REFERER: '.$row['referer'].'
                </div>';

            }

            $page->navigation();

        }

        echo '<div class="forlink"><a href="/pp" class="links">Мои площадки</a></div>';

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>